﻿using MongoDB.Driver;

namespace MigrageAudienceHash.DB.mongo
{
    public class MongoContext : IDisposable
    {
        private readonly IMongoDatabase _database = null;
        public MongoContext(MongoClient client, string databaseName)
        {
            _database = client.GetDatabase(databaseName);
        }
        public void Dispose()
        {
            Dispose();
        }
        public IMongoCollection<AudienceObject> AudienceObject => _database.GetCollection<AudienceObject>("audienceObject");
    }
}
